## org.dom4j
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.dom4j.XPathException

All Implemented Interfaces:
  Serializable

public class XPathException
extends RuntimeException

`XPathException` is thrown when an exception occurs while evaluating an XPath expression, usually due to some function throwing an exception.

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Constructor Summary
`XPathException(String xpath)`
`XPathException(String xpath, Exception e)`
`XPathException(String xpath, String reason)`

Method Summary
`String` `getXPath()` Returns the XPath expression that caused the problem

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException(String xpath)

### XPathException

    public XPathException(String xpath,
                          String reason)

### XPathException

    public XPathException(String xpath,
                          Exception e)

Method Detail

### getXPath

    public String getXPath()

  Returns the XPath expression that caused the problem

  Returns:
    DOCUMENT ME!

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.